GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectId | yes | string | The id of object. |
| objectName | no | string | The name of object. |
| nestedObjects | no | []NestedObjects | For outputObject, its value is a list of destinationObject + encodingObject + nodeObject |
| description | no | string | Object description |
| admin | no | EntitlementInfo | Administrator permissions for the object |
| owner | no | EntitlementInfo | Owner permissions for the object |
| features | no | []ObjectFeatureInfo | Feature permissions for the object |
| createTimestamp | no | long | Object creation time |
| updateTimestamp | no | long | Object update time |
| dmaEmbargo | no | Boolean | DMA Embargo flag for the object |
| geoInfo | no | []GeoLocationInfo | Latitude and longitude information of the object's location |
| location | no | []string | Names of the cities where the object is located |
| origin | no | string | Source, the service that created the object |
| tags | no | []string | List of tag IDs bound to the object |
| attributes | no | any | extra attributes of the object. Note: Update to full replacement update. for example attributes:[{attrName:"test1", attrValue:["1"]},{attrName:"test2", attrValue:["2"]}] |
| force | no | bool | default is false. Held objects/tangibles are not allowed to be modified by default unless the user has permission and explicitly sets force=true. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error information |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "mutation updateObject { updateObject(input: { objectId: \"178262199213\", objectType: 5, objectName: \"testmodify\", admin: { users: [\"user1\", \"user2\"], groups: [\"group1\", \"group2\"] } }) { errorCode errorInfo } }"
}'{
"data": {
"updateObject": {
"errorCode": "0x0",
"errorInfo": "Succ"
}
}
}